# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (View Summary)

- ModalUiHandler
  - default

- Defined in src/ui/session-reload-modal-ui-handler.ts:6

##### Index

### Constructors

constructor

### Properties

active
buttonBgs
buttonContainers
buttonLabels
cursor
modalBg
modalContainer
mode
titleText

### Methods

addInteractionHoverEffect
clear
destroy
getButtonLabels
getButtonTopMargin
getCursor
getHeight
getMargin
getModalTitle
getTextColor
getUi
getWidth
processInput
setCursor
setMouseCursorStyle
setup
show
updateContainer

## Constructors

### constructor

- new default(mode?: null | Mode ): default

  #### Parameters

  - mode: null | Mode = null

  #### Returns default

  Overrides ModalUiHandler.constructor

  - Defined in src/ui/session-reload-modal-ui-handler.ts:7

## Properties

### active

active: boolean = false

Inherited from ModalUiHandler.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` buttonBgs

buttonBgs: NineSlice[]

Inherited from ModalUiHandler.buttonBgs

- Defined in src/ui/modal-ui-handler.ts:17

### `Protected` buttonContainers

buttonContainers: Container[]

Inherited from ModalUiHandler.buttonContainers

- Defined in src/ui/modal-ui-handler.ts:16

### `Protected` buttonLabels

buttonLabels: Text[]

Inherited from ModalUiHandler.buttonLabels

- Defined in src/ui/modal-ui-handler.ts:18

### `Protected` cursor

cursor: number = 0

Inherited from ModalUiHandler.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` modalBg

modalBg: NineSlice

Inherited from ModalUiHandler.modalBg

- Defined in src/ui/modal-ui-handler.ts:14

### `Protected` modalContainer

modalContainer: Container

Inherited from ModalUiHandler.modalContainer

- Defined in src/ui/modal-ui-handler.ts:13

### `Protected` mode

mode: null | number

Inherited from ModalUiHandler.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` titleText

titleText: Text

Inherited from ModalUiHandler.titleText

- Defined in src/ui/modal-ui-handler.ts:15

## Methods

### `Protected` addInteractionHoverEffect

- addInteractionHoverEffect(gameObject: Sprite | Image | NineSlice): void

  Adds a hover effect to a game object which changes the cursor to a `pointer` and tints it slighly

  #### Parameters

  - gameObject: Sprite | Image | NineSlice

    the game object to add hover events/effects to

  #### Returns void

  Inherited from ModalUiHandler.addInteractionHoverEffect

  - Defined in src/ui/modal-ui-handler.ts:186

### clear

- clear(): void

  #### Returns void

  Inherited from ModalUiHandler.clear

  - Defined in src/ui/modal-ui-handler.ts:175

### destroy

- destroy(): void

  To be implemented by individual handlers when necessary to free memory Called when BattleScene is reset

  #### Returns void

  Inherited from ModalUiHandler.destroy

  - Defined in src/ui/ui-handler.ts:69

### getButtonLabels

- getButtonLabels(): string[]

  #### Returns string[]

  Overrides ModalUiHandler.getButtonLabels

  - Defined in src/ui/session-reload-modal-ui-handler.ts:27

### getButtonTopMargin

- getButtonTopMargin(): number

  #### Returns number

  Inherited from ModalUiHandler.getButtonTopMargin

  - Defined in src/ui/modal-ui-handler.ts:38

### getCursor

- getCursor(): number

  #### Returns number

  Inherited from ModalUiHandler.getCursor

  - Defined in src/ui/ui-handler.ts:40

### getHeight

- getHeight(): number

  #### Returns number

  Overrides ModalUiHandler.getHeight

  - Defined in src/ui/session-reload-modal-ui-handler.ts:19

### getMargin

- getMargin(): [number, number, number, number]

  #### Returns [number, number, number, number]

  Overrides ModalUiHandler.getMargin

  - Defined in src/ui/session-reload-modal-ui-handler.ts:23

### getModalTitle

- getModalTitle(): string

  #### Returns string

  Overrides ModalUiHandler.getModalTitle

  - Defined in src/ui/session-reload-modal-ui-handler.ts:11

### getTextColor

- getTextColor(style: TextStyle , shadow?: boolean): string

  #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from ModalUiHandler.getTextColor

  - Defined in src/ui/ui-handler.ts:36

### getUi

- getUi(): default

  #### Returns default

  Inherited from ModalUiHandler.getUi

  - Defined in src/ui/ui-handler.ts:32

### getWidth

- getWidth(): number

  #### Returns number

  Overrides ModalUiHandler.getWidth

  - Defined in src/ui/session-reload-modal-ui-handler.ts:15

### processInput

- processInput(_button: Button ): boolean

  #### Parameters

  - _button: Button

  #### Returns boolean

  Inherited from ModalUiHandler.processInput

  - Defined in src/ui/modal-ui-handler.ts:171

### setCursor

- setCursor(cursor: number): boolean

  #### Parameters

  - cursor: number

  #### Returns boolean

  Inherited from ModalUiHandler.setCursor

  - Defined in src/ui/ui-handler.ts:44

### `Protected` setMouseCursorStyle

- setMouseCursorStyle(cursorStyle: "default" | "pointer"): void

  Changes the style of the mouse cursor.

  #### Parameters

  - cursorStyle: "default" | "pointer"

    cursor style to apply

  #### Returns void

  #### See

  https://developer.mozilla.org/en-US/docs/Web/CSS/cursor

  Inherited from ModalUiHandler.setMouseCursorStyle

  - Defined in src/ui/ui-handler.ts:58

### setup

- setup(): void

  #### Returns void

  Overrides ModalUiHandler.setup

  - Defined in src/ui/session-reload-modal-ui-handler.ts:31

### show

- show(_args: any[]): boolean

  #### Parameters

  - _args: any[]

  #### Returns boolean

  Overrides ModalUiHandler.show

  - Defined in src/ui/session-reload-modal-ui-handler.ts:46

### updateContainer

- updateContainer(config?: ModalConfig ): void

  #### Parameters

  - `Optional` config: ModalConfig

  #### Returns void

  Inherited from ModalUiHandler.updateContainer

  - Defined in src/ui/modal-ui-handler.ts:147